import { html as a } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as m } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var h = Object.defineProperty, u = Object.getOwnPropertyDescriptor, p = (c, t, i, r) => {
  for (var e = r > 1 ? void 0 : r ? u(t, i) : t, o = c.length - 1, n; o >= 0; o--)
    (n = c[o]) && (e = (r ? n(t, i, e) : n(e)) || e);
  return r && e && h(t, i, e), e;
};
let s = class extends m {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--minusLarge", this.class = "c-pieIcon c-pieIcon--minusLarge", this.name = "IconMinusLarge";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--minusLarge"><path d="M27.375 16.875v-1.75H4.625v1.75h22.75Z"></path></svg>`;
  }
};
p([
  l({ type: String, reflect: !0 })
], s.prototype, "size", 2);
p([
  l({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = p([
  f("icon-minus-large")
], s);
export {
  s as IconMinusLarge
};
